
<!doctype html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><title>Python: module yahoo.search.term</title>
</head><body bgcolor="#f0f0f8">

<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="heading">
<tr bgcolor="#7799ee">
<td valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial">&nbsp;<br><big><big><strong><a href="yahoo.html"><font color="#ffffff">yahoo</font></a>.<a href="yahoo.search.html"><font color="#ffffff">search</font></a>.term</strong></big></big> (version 1.5, Tue Feb 27 14:26:00 MST 2007)</font></td
><td align=right valign=bottom
><font color="#ffffff" face="helvetica, arial"><a href=".">index</a><br><a href="file:/home/leif/hack/pysearch/yahoo/search/term.py">/home/leif/hack/pysearch/yahoo/search/term.py</a></font></td></tr></table>
    <p><tt>yahoo.search.term&nbsp;-&nbsp;Term&nbsp;Extraction&nbsp;web&nbsp;services&nbsp;module<br>
&nbsp;<br>
This&nbsp;module&nbsp;implements&nbsp;the&nbsp;the&nbsp;Term&nbsp;Extraction&nbsp;web&nbsp;service,&nbsp;to&nbsp;extract<br>
significant&nbsp;words&nbsp;and&nbsp;phrases&nbsp;from&nbsp;a&nbsp;larger&nbsp;context.&nbsp;There&nbsp;is&nbsp;currently<br>
only&nbsp;one&nbsp;class&nbsp;implemented,&nbsp;<a href="#TermExtraction">TermExtraction</a>.<br>
&nbsp;<br>
An&nbsp;application&nbsp;ID&nbsp;(appid)&nbsp;is&nbsp;always&nbsp;required&nbsp;when&nbsp;instantiating&nbsp;a&nbsp;search<br>
object.&nbsp;Additional&nbsp;parameters&nbsp;are&nbsp;documented&nbsp;in&nbsp;the&nbsp;<a href="#TermExtraction">TermExtraction</a>&nbsp;class.<br>
Example:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;from&nbsp;yahoo.search.term&nbsp;import&nbsp;<a href="#TermExtraction">TermExtraction</a><br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;srch&nbsp;=&nbsp;<a href="#TermExtraction">TermExtraction</a>(app_id="YahooDemo",&nbsp;query="Yahoo")<br>
&nbsp;&nbsp;&nbsp;&nbsp;srch.context&nbsp;=&nbsp;"portal&nbsp;news&nbsp;sports&nbsp;mail&nbsp;messenger"<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;for&nbsp;res&nbsp;in&nbsp;srch.parse_results():<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;print&nbsp;res</tt></p>
<p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#aa55cc">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#fffff" face="helvetica, arial"><big><strong>Modules</strong></big></font></td></tr>
    
<tr><td bgcolor="#aa55cc"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><table width="100%" summary="list"><tr><td width="25%" valign=top><a href="types.html">types</a><br>
</td><td width="25%" valign=top><a href="yahoo.html">yahoo</a><br>
</td><td width="25%" valign=top></td><td width="25%" valign=top></td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ee77aa">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Classes</strong></big></font></td></tr>
    
<tr><td bgcolor="#ee77aa"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl>
<dt><font face="helvetica, arial"><a href="yahoo.search.html#_Search">yahoo.search._Search</a>(<a href="yahoo.search.debug.html#Debuggable">yahoo.search.debug.Debuggable</a>, <a href="__builtin__.html#object">__builtin__.object</a>)
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="yahoo.search.term.html#TermExtraction">TermExtraction</a>
</font></dt></dl>
</dd>
</dl>
 <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="TermExtraction">class <strong>TermExtraction</strong></a>(<a href="yahoo.search.html#_Search">yahoo.search._Search</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#TermExtraction">TermExtraction</a>&nbsp;-&nbsp;Extract&nbsp;words&nbsp;or&nbsp;phrases&nbsp;from&nbsp;a&nbsp;larger&nbsp;content<br>
&nbsp;<br>
This&nbsp;class&nbsp;implements&nbsp;the&nbsp;Web&nbsp;Search&nbsp;Spelling&nbsp;Suggestion&nbsp;web&nbsp;service<br>
APIs.&nbsp;The&nbsp;only&nbsp;allowed&nbsp;parameter&nbsp;is:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;context&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;context&nbsp;to&nbsp;extract&nbsp;terms&nbsp;from&nbsp;(UTF-8&nbsp;encoded)<br>
&nbsp;&nbsp;&nbsp;&nbsp;query&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;An&nbsp;optional&nbsp;query&nbsp;to&nbsp;help&nbsp;with&nbsp;the&nbsp;extraction<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;process<br>
&nbsp;&nbsp;&nbsp;&nbsp;output&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;format&nbsp;for&nbsp;the&nbsp;output&nbsp;result.&nbsp;If&nbsp;json&nbsp;or&nbsp;php&nbsp;is<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;requested,&nbsp;the&nbsp;result&nbsp;is&nbsp;not&nbsp;XML&nbsp;parseable,&nbsp;so&nbsp;we<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;will&nbsp;simply&nbsp;return&nbsp;the&nbsp;"raw"&nbsp;string.<br>
&nbsp;&nbsp;&nbsp;&nbsp;callback&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;name&nbsp;of&nbsp;the&nbsp;callback&nbsp;function&nbsp;to&nbsp;wrap&nbsp;around<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;the&nbsp;JSON&nbsp;data.<br>
&nbsp;<br>
&nbsp;<br>
The&nbsp;Term&nbsp;Extraction&nbsp;service&nbsp;provides&nbsp;a&nbsp;list&nbsp;of&nbsp;significant&nbsp;words&nbsp;or<br>
phrases&nbsp;extracted&nbsp;from&nbsp;a&nbsp;larger&nbsp;content.&nbsp;It&nbsp;is&nbsp;one&nbsp;of&nbsp;the&nbsp;technologies<br>
used&nbsp;in&nbsp;Y!Q.&nbsp;Full&nbsp;documentation&nbsp;for&nbsp;this&nbsp;service&nbsp;is&nbsp;available&nbsp;at:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;<a href="http://developer.yahoo.net/content/V1/termExtraction.html">http://developer.yahoo.net/content/V1/termExtraction.html</a><br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="yahoo.search.term.html#TermExtraction">TermExtraction</a></dd>
<dd><a href="yahoo.search.html#_Search">yahoo.search._Search</a></dd>
<dd><a href="yahoo.search.debug.html#Debuggable">yahoo.search.debug.Debuggable</a></dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Data and other attributes defined here:<br>
<dl><dt><strong>METHOD</strong> = 'POST'</dl>

<dl><dt><strong>NAME</strong> = 'termExtraction'</dl>

<dl><dt><strong>SERVICE</strong> = 'ContentAnalysisService'</dl>

<hr>
Methods inherited from <a href="yahoo.search.html#_Search">yahoo.search._Search</a>:<br>
<dl><dt><a name="TermExtraction-__getattr__"><strong>__getattr__</strong></a>(self, name)</dt></dl>

<dl><dt><a name="TermExtraction-__init__"><strong>__init__</strong></a>(self, app_id, opener<font color="#909090">=None</font>, xml_parser<font color="#909090">=None</font>, result_factory<font color="#909090">=None</font>, debug_level<font color="#909090">=0</font>, **args)</dt><dd><tt>The&nbsp;app_id&nbsp;is&nbsp;a&nbsp;required&nbsp;argument,&nbsp;the&nbsp;Yahoo&nbsp;search&nbsp;services&nbsp;will<br>
not&nbsp;accept&nbsp;requests&nbsp;without&nbsp;a&nbsp;proper&nbsp;app_id.&nbsp;A&nbsp;valid&nbsp;app_id&nbsp;is&nbsp;a<br>
combination&nbsp;of&nbsp;8&nbsp;-&nbsp;40&nbsp;characters,&nbsp;matching&nbsp;the&nbsp;regexp<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;"^[a-zA-Z0-9&nbsp;_()\[\]*+\-=,.:\\@]{8,40}$"<br>
&nbsp;<br>
Please&nbsp;visit&nbsp;<a href="http://developer.yahoo.net/search/">http://developer.yahoo.net/search/</a>&nbsp;to&nbsp;request&nbsp;an&nbsp;App&nbsp;ID<br>
for&nbsp;your&nbsp;own&nbsp;software&nbsp;or&nbsp;application.<br>
&nbsp;&nbsp;&nbsp;&nbsp;<br>
Four&nbsp;optional&nbsp;arguments&nbsp;can&nbsp;also&nbsp;be&nbsp;passed&nbsp;to&nbsp;the&nbsp;constructor:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;opener&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Opener&nbsp;for&nbsp;urllib2<br>
&nbsp;&nbsp;&nbsp;&nbsp;xml_parser&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Function&nbsp;to&nbsp;parse&nbsp;XML&nbsp;(default:&nbsp;minidom)<br>
&nbsp;&nbsp;&nbsp;&nbsp;result_factory&nbsp;-&nbsp;Result&nbsp;factory&nbsp;class&nbsp;(default:&nbsp;none)<br>
&nbsp;&nbsp;&nbsp;&nbsp;debug_devel&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Debug&nbsp;level&nbsp;(if&nbsp;any)<br>
&nbsp;<br>
All&nbsp;other&nbsp;"named"&nbsp;arguments&nbsp;are&nbsp;passed&nbsp;into&nbsp;as&nbsp;a&nbsp;dictionary&nbsp;to&nbsp;the<br>
<a href="#TermExtraction-set_params">set_params</a>()&nbsp;method.<br>
&nbsp;<br>
The&nbsp;result&nbsp;factory&nbsp;is&nbsp;specific&nbsp;to&nbsp;the&nbsp;particular&nbsp;web&nbsp;service&nbsp;used,<br>
e.g.&nbsp;the&nbsp;different&nbsp;Yahoo&nbsp;Search&nbsp;services&nbsp;will&nbsp;each&nbsp;implement&nbsp;their<br>
own&nbsp;factory&nbsp;class.<br>
&nbsp;<br>
Both&nbsp;of&nbsp;these&nbsp;settings&nbsp;can&nbsp;be&nbsp;controlled&nbsp;via&nbsp;their&nbsp;respective<br>
install&nbsp;method&nbsp;(see&nbsp;below).</tt></dd></dl>

<dl><dt><a name="TermExtraction-__setattr__"><strong>__setattr__</strong></a>(self, name, value)</dt><dd><tt>#&nbsp;Implement&nbsp;the&nbsp;attribute&nbsp;handlers,&nbsp;to&nbsp;avoid&nbsp;confusion</tt></dd></dl>

<dl><dt><a name="TermExtraction-encode_params"><strong>encode_params</strong></a>(self)</dt><dd><tt>URL&nbsp;encode&nbsp;the&nbsp;list&nbsp;of&nbsp;parameter&nbsp;values.</tt></dd></dl>

<dl><dt><a name="TermExtraction-get_param"><strong>get_param</strong></a>(self, param)</dt><dd><tt>Get&nbsp;the&nbsp;value&nbsp;of&nbsp;a&nbsp;query&nbsp;parameter,&nbsp;or&nbsp;the&nbsp;default&nbsp;value&nbsp;if&nbsp;unset</tt></dd></dl>

<dl><dt><a name="TermExtraction-get_results"><strong>get_results</strong></a>(self, stream<font color="#909090">=None</font>, xml_parser<font color="#909090">=None</font>, close<font color="#909090">=True</font>)</dt><dd><tt>Read&nbsp;the&nbsp;stream&nbsp;(if&nbsp;provided)&nbsp;and&nbsp;either&nbsp;return&nbsp;the&nbsp;raw&nbsp;XML,&nbsp;or<br>
send&nbsp;the&nbsp;data&nbsp;to&nbsp;the&nbsp;provided&nbsp;XML&nbsp;parser&nbsp;for&nbsp;further&nbsp;processing.<br>
If&nbsp;no&nbsp;stream&nbsp;is&nbsp;provided,&nbsp;it&nbsp;will&nbsp;call&nbsp;the&nbsp;<a href="#TermExtraction-open">open</a>()&nbsp;method&nbsp;using&nbsp;the<br>
default&nbsp;opener.&nbsp;The&nbsp;stream&nbsp;will&nbsp;be&nbsp;closed&nbsp;upon&nbsp;return&nbsp;from&nbsp;this<br>
method,&nbsp;unless&nbsp;the&nbsp;close=False&nbsp;is&nbsp;passed&nbsp;as&nbsp;an&nbsp;argument.</tt></dd></dl>

<dl><dt><a name="TermExtraction-get_url"><strong>get_url</strong></a>(self, with_params<font color="#909090">=True</font>)</dt><dd><tt>Return&nbsp;the&nbsp;URL&nbsp;for&nbsp;this&nbsp;request&nbsp;object</tt></dd></dl>

<dl><dt><a name="TermExtraction-get_valid_params"><strong>get_valid_params</strong></a>(self)</dt><dd><tt>Return&nbsp;a&nbsp;list&nbsp;of&nbsp;all&nbsp;valid&nbsp;parameters&nbsp;for&nbsp;this&nbsp;search</tt></dd></dl>

<dl><dt><a name="TermExtraction-install_opener"><strong>install_opener</strong></a>(self, opener)</dt><dd><tt>Install&nbsp;a&nbsp;URL&nbsp;opener&nbsp;(for&nbsp;use&nbsp;with&nbsp;urllib2),&nbsp;overriding&nbsp;the<br>
default&nbsp;opener.&nbsp;This&nbsp;is&nbsp;rarely&nbsp;required.</tt></dd></dl>

<dl><dt><a name="TermExtraction-install_result_factory"><strong>install_result_factory</strong></a>(self, result_factory)</dt><dd><tt>Install&nbsp;a&nbsp;python&nbsp;class&nbsp;(not&nbsp;an&nbsp;instance!)&nbsp;that&nbsp;should&nbsp;be&nbsp;used&nbsp;as&nbsp;a<br>
factory&nbsp;for&nbsp;creating&nbsp;result(s)&nbsp;objects.</tt></dd></dl>

<dl><dt><a name="TermExtraction-install_xml_parser"><strong>install_xml_parser</strong></a>(self, xml_parser)</dt><dd><tt>Install&nbsp;an&nbsp;XML&nbsp;parser&nbsp;that&nbsp;will&nbsp;be&nbsp;used&nbsp;for&nbsp;all&nbsp;results&nbsp;for&nbsp;this<br>
object.&nbsp;The&nbsp;parser&nbsp;is&nbsp;expected&nbsp;to&nbsp;"read"&nbsp;the&nbsp;data&nbsp;from&nbsp;the&nbsp;supplied<br>
stream&nbsp;argument.&nbsp;To&nbsp;uninstall&nbsp;the&nbsp;parser&nbsp;(e.g.&nbsp;to&nbsp;make&nbsp;sure&nbsp;we<br>
return&nbsp;raw&nbsp;XML&nbsp;data)&nbsp;simply&nbsp;call&nbsp;this&nbsp;method&nbsp;with&nbsp;an&nbsp;argument&nbsp;of<br>
None.</tt></dd></dl>

<dl><dt><a name="TermExtraction-missing_params"><strong>missing_params</strong></a>(self)</dt><dd><tt>Validate&nbsp;that&nbsp;the&nbsp;search&nbsp;object&nbsp;is&nbsp;propertly&nbsp;setup&nbsp;with&nbsp;all<br>
required&nbsp;parameters&nbsp;etc.&nbsp;This&nbsp;is&nbsp;called&nbsp;automatically&nbsp;before&nbsp;a<br>
search&nbsp;is&nbsp;actually&nbsp;performed,&nbsp;but&nbsp;you&nbsp;can&nbsp;also&nbsp;call&nbsp;it&nbsp;manually<br>
if&nbsp;desired.&nbsp;It&nbsp;will&nbsp;return&nbsp;a&nbsp;list&nbsp;of&nbsp;zero&nbsp;or&nbsp;more&nbsp;paramters&nbsp;that<br>
are&nbsp;missing.</tt></dd></dl>

<dl><dt><a name="TermExtraction-open"><strong>open</strong></a>(self, opener<font color="#909090">=None</font>, retries<font color="#909090">=2</font>)</dt><dd><tt>Open&nbsp;a&nbsp;connection&nbsp;to&nbsp;the&nbsp;webservice&nbsp;server,&nbsp;and&nbsp;request&nbsp;the&nbsp;URL.<br>
The&nbsp;return&nbsp;value&nbsp;is&nbsp;a&nbsp;"stream",&nbsp;which&nbsp;can&nbsp;be&nbsp;read&nbsp;calling&nbsp;the<br>
read(),&nbsp;readline()&nbsp;or&nbsp;readlines()&nbsp;methods.&nbsp;If&nbsp;you&nbsp;override&nbsp;this<br>
method,&nbsp;please&nbsp;make&nbsp;sure&nbsp;to&nbsp;call&nbsp;the&nbsp;<a href="#TermExtraction-missing_params">missing_params</a>()&nbsp;method&nbsp;before<br>
you&nbsp;try&nbsp;to&nbsp;send&nbsp;a&nbsp;request&nbsp;to&nbsp;the&nbsp;Web&nbsp;server.</tt></dd></dl>

<dl><dt><a name="TermExtraction-parse_results"><strong>parse_results</strong></a>(self, xml<font color="#909090">=None</font>)</dt><dd><tt>Get&nbsp;the&nbsp;result&nbsp;from&nbsp;the&nbsp;request,&nbsp;and&nbsp;instantiate&nbsp;the&nbsp;appropriate<br>
result&nbsp;class.&nbsp;This&nbsp;class&nbsp;will&nbsp;be&nbsp;populated&nbsp;with&nbsp;all&nbsp;the&nbsp;data&nbsp;from<br>
the&nbsp;XML&nbsp;object.</tt></dd></dl>

<dl><dt><a name="TermExtraction-reset"><strong>reset</strong></a>(self)</dt><dd><tt>Reset&nbsp;all&nbsp;the&nbsp;parameter&nbsp;values&nbsp;for&nbsp;the&nbsp;object&nbsp;instance.</tt></dd></dl>

<dl><dt><a name="TermExtraction-set_param"><strong>set_param</strong></a>(self, param, value)</dt><dd><tt>Set&nbsp;the&nbsp;value&nbsp;of&nbsp;a&nbsp;query&nbsp;parameter</tt></dd></dl>

<dl><dt><a name="TermExtraction-set_params"><strong>set_params</strong></a>(self, args)</dt><dd><tt>Set&nbsp;one&nbsp;or&nbsp;several&nbsp;query&nbsp;parameters&nbsp;from&nbsp;a&nbsp;dictionary</tt></dd></dl>

<hr>
Properties inherited from <a href="yahoo.search.html#_Search">yahoo.search._Search</a>:<br>
<dl><dt><strong>app_id</strong></dt>
<dd><tt>Application&nbsp;ID&nbsp;(issued&nbsp;by&nbsp;Yahoo),&nbsp;same&nbsp;ass&nbsp;appid</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_app_id(self)</dt><dd><tt>Get&nbsp;the&nbsp;application&nbsp;ID.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_app_id(self, app_id)</dt><dd><tt>Set&nbsp;the&nbsp;application&nbsp;ID,&nbsp;which&nbsp;is&nbsp;required.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>appid</strong></dt>
<dd><tt>Application&nbsp;ID&nbsp;(issued&nbsp;by&nbsp;Yahoo)</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_app_id(self)</dt><dd><tt>Get&nbsp;the&nbsp;application&nbsp;ID.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_app_id(self, app_id)</dt><dd><tt>Set&nbsp;the&nbsp;application&nbsp;ID,&nbsp;which&nbsp;is&nbsp;required.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>cc_licenses</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;Creative&nbsp;Commons&nbsp;licenses</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_cc_licenses(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;CC&nbsp;licenses.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>countries</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;county&nbsp;codes</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_countries(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;contry&nbsp;codes.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>debug_level</strong></dt>
<dd><tt>Set&nbsp;and&nbsp;modify&nbsp;the&nbsp;debug&nbsp;level</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_debug_level(self)</dt><dd><tt>Get&nbsp;the&nbsp;current&nbsp;debug&nbsp;level.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_debug_level(self, level)</dt><dd><tt>Set&nbsp;the&nbsp;new&nbsp;debug&nbsp;level&nbsp;to&nbsp;be&nbsp;used.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>languages</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;languages</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_languages(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;languages.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>regions</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;region&nbsp;codes</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_regions(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;region&nbsp;codes.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>subscriptions</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;premium&nbsp;subscriptions</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_subscriptions(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;supported&nbsp;premium&nbsp;subscriptions.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_name</strong></dt>
<dd><tt>Descriptive&nbsp;name&nbsp;of&nbsp;the&nbsp;service</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_name(self)</dt><dd><tt>Get&nbsp;the&nbsp;descriptive&nbsp;service&nbsp;name.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_name(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;descriptive&nbsp;service&nbsp;name.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_protocol</strong></dt>
<dd><tt>Service&nbsp;protocol&nbsp;(e.g.&nbsp;HTTP)</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_protocol(self)</dt><dd><tt>Get&nbsp;the&nbsp;service&nbsp;protocol&nbsp;(e.g.&nbsp;HTTP).</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_protocol(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;service&nbsp;protocol&nbsp;(must&nbsp;be&nbsp;supported).</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_server</strong></dt>
<dd><tt>Service&nbsp;server&nbsp;name&nbsp;or&nbsp;IP</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_server(self)</dt><dd><tt>Get&nbsp;the&nbsp;service&nbsp;server&nbsp;name&nbsp;or&nbsp;IP.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_server(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;service&nbsp;server&nbsp;name&nbsp;or&nbsp;IP.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_service</strong></dt>
<dd><tt>Service&nbsp;path</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_service(self)</dt><dd><tt>Get&nbsp;the&nbsp;URL&nbsp;path&nbsp;for&nbsp;the&nbsp;service.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_service(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;URL&nbsp;path&nbsp;for&nbsp;the&nbsp;service.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_version</strong></dt>
<dd><tt>Service&nbsp;version&nbsp;string</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_version(self)</dt><dd><tt>Get&nbsp;the&nbsp;service&nbsp;version&nbsp;string.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_version(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;service&nbsp;version&nbsp;string.</tt></dd></dl>
</dd>
</dl>
<hr>
Data and other attributes inherited from <a href="yahoo.search.html#_Search">yahoo.search._Search</a>:<br>
<dl><dt><strong>PROTOCOL</strong> = 'http'</dl>

<dl><dt><strong>SERVER</strong> = 'search.yahooapis.com'</dl>

<dl><dt><strong>VERSION</strong> = 'V1'</dl>

<hr>
Data and other attributes inherited from <a href="yahoo.search.debug.html#Debuggable">yahoo.search.debug.Debuggable</a>:<br>
<dl><dt><strong>__dict__</strong> = &lt;dictproxy object&gt;<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dl>

<dl><dt><strong>__weakref__</strong> = &lt;attribute '__weakref__' of 'Debuggable' objects&gt;<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dl>

</td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#55aa55">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Data</strong></big></font></td></tr>
    
<tr><td bgcolor="#55aa55"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><strong>__author__</strong> = 'Leif Hedstrom &lt;leif@ogre.com&gt;'<br>
<strong>__date__</strong> = 'Tue Feb 27 14:26:00 MST 2007'<br>
<strong>__revision__</strong> = '$Id: term.py,v 1.5 2007/02/28 05:20:09 zwoop Exp $'<br>
<strong>__version__</strong> = '$Revision: 1.5 $'</td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#7799ee">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Author</strong></big></font></td></tr>
    
<tr><td bgcolor="#7799ee"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%">Leif&nbsp;Hedstrom&nbsp;&lt;leif@ogre.com&gt;</td></tr></table>
</body></html>